<div class="accordion mt-3" id="accordionDatosPresupuestoCliente">
    <div class="card accordion-item active">
        <h2 class="accordion-header" id="heading">
            <button type="button" class="accordion-button" data-bs-toggle="collapse" data-bs-target="#accordionDatosPresupuestoClienteTip" aria-expanded="false" aria-controls="accordionDatosPresupuestoClienteTip">
                <h4><?= lang("Presupuestos.datosPresupuestoCliente") ?></h4>
            </button>
        </h2>

        <div id="accordionDatosPresupuestoClienteTip" class="accordion-collapse collapse show" data-bs-parent="#accordionDatosPresupuestoCliente">
            <div class="accordion-body">

                <!----------------------------------------------------------------------------->
                <div id="divAlarmasComparador"></div>
                <!----------------------------------------------------------------------------->

                <input type="hidden" name="comparador_json_data" id="comparador_json_data" class="form-control" value="<?= isset($presupuestoEntity->comparador_json_data)?$presupuestoEntity->comparador_json_data:'' ?>"></input>

                <div class="divider divider-dark text-start mb-1">
                    <div class="divider-text">
                        <h5><?= lang("Presupuestos.tipoImpresion") ?></h5>
                    </div>
                </div>
                <div class="col-md-12 col-lg-3 px-4 mt-1">
                    <div class="mb-3">
                        <select id="tipoImpresion" name="comp_tipo_impresion" class="form-control select2bs2" style="width: 100%;">
                            <option id="tipoImpresionNegro" value="negro" <?= isset($presupuestoEntity->comp_tipo_impresion) ? ("negro" == $presupuestoEntity->comp_tipo_impresion ? ' selected' : '') : '' ?>>
                                <?= lang('MaquinasTarifasImpresions.negro') ?>
                            </option>
                            <option value="negrohq" <?= isset($presupuestoEntity->comp_tipo_impresion) ? ("negrohq" == $presupuestoEntity->comp_tipo_impresion ? ' selected' : '') : '' ?>>
                                <?= lang('MaquinasTarifasImpresions.negrohq') ?>
                            </option>
                            <option value="color" <?= isset($presupuestoEntity->comp_tipo_impresion) ? ("color" == $presupuestoEntity->comp_tipo_impresion ? ' selected' : '') : '' ?>>
                                <?= lang('MaquinasTarifasImpresions.color') ?>
                            </option>
                            <option value="colorhq" <?= isset($presupuestoEntity->comp_tipo_impresion) ? ("colorhq" == $presupuestoEntity->comp_tipo_impresion ? ' selected' : '') : '' ?>>
                                <?= lang('MaquinasTarifasImpresions.colorhq') ?>
                            </option>
                        </select>
                    </div><!--//.mb-3 -->
                </div><!--//.col -->


                <!----------------------------------------------------------------------------->


                <div class="divider divider-dark text-start mb-1">
                    <div class="divider-text">
                        <h5><?= lang("Presupuestos.papelesComparadorCosidoTapaBlanda") ?></h5>
                    </div>
                </div>

                <div class="row mb-1">
                    <div class="col-md-12 col-lg-2 px-1 mb-0">
                        <p class="mb-0"></p>
                    </div>
                    <div class="col-md-12 col-lg-2 px-4 mb-0">
                        <p class="mb-0"><?= lang("Presupuestos.numeroPaginas") ?></p>
                    </div>
                    <div class="col-md-12 col-lg-6 px-4 mb-0">
                        <p class="mb-0"><?= lang("Presupuestos.papel") ?></p>
                    </div>
                    <div class="col-md-12 col-lg-2 px-4 mb-0">
                        <p class="mb-0"><?= lang("Presupuestos.gramaje") ?></p>
                    </div>
                    <div>
                        <hr class="my-1">
                        <hr class="my-1">
                    </div>
                </div>


                <div class="row mt-0 comp-negro-selected">
                    <div class="col-md-12 col-lg-2 px-4">
                        <p><?= lang('MaquinasTarifasImpresions.negro') ?></p>
                    </div>
                    <div class="col-md-12 col-lg-2 px-4">
                        <input type="text" id="compPaginasNegro" name="comp_paginas_negro" placeholder="0" maxLength="5" class="form-control comp_negro_items" value="<?= isset($comp_data->bn->paginas) ? (old(0, $comp_data->bn->paginas)) : '0' ?>">
                    </div>
                    <div class="col-md-12 col-lg-6 px-4">
                        <select id="compPapelNegro" name="comp_papel_negro" class="form-control select2bs2 comp_negro_items" style="width: 100%;">
                            <?php if (isset($papelGenericoNegroList) && is_array($papelGenericoNegroList) && !empty($papelGenericoNegroList)) :
                                foreach ($papelGenericoNegroList as $k => $v) : ?>
                                    <option value="<?= $v->id ?>">
                                        <?= $v->nombre ?>
                                    </option>
                            <?php endforeach;
                            endif; ?>
                        </select>
                    </div>
                    <div class="col-md-12 col-lg-2 px-4">
                        <select id="compGramajeNegro" name="comp_gramaje_negro" class="form-control select2bs2 comp_negro_items" disabled style="width: 100%;">
                        </select>
                    </div>
                    <div>
                        <hr class="my-1">
                    </div>
                </div>


                <div class="row mt-0 comp-negrohq-selected">
                    <div class="col-md-12 col-lg-2 px-4">
                        <p><?= lang('MaquinasTarifasImpresions.negrohq') ?></p>
                    </div>
                    <div class="col-md-12 col-lg-2 px-4">
                        <input type="text" id="compPaginasNegrohq" name="comp_paginas_negrohq" placeholder="0" maxLength="5" class="form-control comp_negrohq_items" value="<?= isset($comp_data->bnhq->paginas) ? (old(0, $comp_data->bnhq->paginas)) : '0' ?>">
                    </div>
                    <div class="col-md-12 col-lg-6 px-4">
                        <select id="compPapelNegrohq" name="comp_papel_negrohq" class="form-control select2bs2 comp_negrohq_items" style="width: 100%;">
                            <?php if (isset($papelGenericoNegroHQList) && is_array($papelGenericoNegroHQList) && !empty($papelGenericoNegroHQList)) :
                                foreach ($papelGenericoNegroHQList as $k => $v) : ?>
                                    <option value="<?= $v->id ?>">
                                        <?= $v->nombre ?>
                                    </option>
                            <?php endforeach;
                            endif; ?>
                        </select>
                    </div>
                    <div class="col-md-12 col-lg-2 px-4">
                        <select id="compGramajeNegrohq" name="comp_gramaje_negrohq" class="form-control select2bs2 comp_negrohq_items" disabled style="width: 100%;">
                        </select>
                    </div>
                    <div>
                        <hr class="my-1">
                    </div>
                </div>


                <div class="row comp-color-selected">
                    <div class="col-md-12 col-lg-2 px-4">
                        <p><?= lang('MaquinasTarifasImpresions.color') ?></p>
                    </div>
                    <div class="col-md-12 col-lg-2 px-4">
                        <input type="text" id="compPaginasColor" name="comp_paginas_color" placeholder="0" maxLength="5" class="form-control comp_color_items" value="<?= isset($comp_data->color->paginas) ? (old(0, $comp_data->color->paginas)) : '0' ?>">
                    </div>
                    <div class="col-md-12 col-lg-6 px-4">
                        <select id="compPapelColor" name="comp_papel_color" class="form-control select2bs2 comp_color_items" style="width: 100%;">
                            <?php if (isset($papelGenericoColorList) && is_array($papelGenericoColorList) && !empty($papelGenericoColorList)) :
                                foreach ($papelGenericoColorList as $k => $v) : ?>
                                    <option value="<?= $v->id ?>">
                                        <?= $v->nombre ?>
                                    </option>
                            <?php endforeach;
                            endif; ?>
                        </select>
                    </div>
                    <div class="col-md-12 col-lg-2 px-4">
                        <select id="compGramajeColor" name="comp_gramaje_color" class="form-control select2bs2 comp_color_items" disabled style="width: 100%;">
                        </select>
                    </div>
                    <div>
                        <hr class="my-1">
                    </div>
                </div>


                <div class="row comp-colorhq-selected">
                    <div class="col-md-12 col-lg-2 px-4">
                        <p><?= lang('MaquinasTarifasImpresions.colorhq') ?></p>
                    </div>
                    <div class="col-md-12 col-lg-2 px-4">
                        <input type="text" id="compPaginasColorhq" name="comp_paginas_colorhq" placeholder="0" maxLength="5" class="form-control comp_colorhq_items" value="<?= isset($comp_data->colorhq->paginas) ? (old(0, $comp_data->colorhq->paginas)) : '0' ?>">
                    </div>
                    <div class="col-md-12 col-lg-6 px-4">
                        <select id="compPapelColorhq" name="comp_papel_colorhq" class="form-control select2bs2 comp_colorhq_items" style="width: 100%;">
                            <?php if (isset($papelGenericoColorHQList) && is_array($papelGenericoColorHQList) && !empty($papelGenericoColorHQList)) :
                                foreach ($papelGenericoColorHQList as $k => $v) : ?>
                                    <option value="<?= $v->id ?>">
                                        <?= $v->nombre ?>
                                    </option>
                            <?php endforeach;
                            endif; ?>
                        </select>
                    </div>
                    <div class="col-md-12 col-lg-2 px-4">
                        <select id="compGramajeColorhq" name="comp_gramaje_colorhq" class="form-control select2bs2 comp_colorhq_items" disabled style="width: 100%;">
                        </select>
                    </div>
                    <div>
                        <hr class="my-1">
                    </div>
                </div>


                <div class="row">
                    <div class="col-md-12 col-lg-2 px-4">
                        <p><?= lang('PapelImpresion.cubierta') ?></p>
                    </div> 
                    <div class="col-md-12 col-lg-2 px-4">
                        <select id="compCarasCubierta" name="comp_paginas_cubierta" class="form-control select2bs2 comp_cubierta_items" style="width: 100%;">
                            <option value="2">
                                <p><?= lang('Presupuestos.1cara') ?></p>
                            </option>
                            <option value="4">
                                <p><?= lang('Presupuestos.2caras') ?></p>
                            </option>
                        </select>
                    </div>
                    <div class="col-md-12 col-lg-6 px-4">
                        <select id="compPapelCubierta" name="comp_papel_cubierta" class="form-control select2bs2 comp_cubierta_items" style="width: 100%;">
                            <?php if (isset($papelGenericoCubiertaList) && is_array($papelGenericoCubiertaList) && !empty($papelGenericoCubiertaList)) :
                                foreach ($papelGenericoCubiertaList as $k => $v) : ?>
                                    <option value="<?= $v->id ?>">
                                        <?= $v->nombre ?>
                                    </option>
                            <?php endforeach;
                            endif; ?>
                        </select>
                    </div>
                    <div class="col-md-12 col-lg-2 px-4">
                        <select id="compGramajeCubierta" name="comp_gramaje_cubierta" class="form-control select2bs2 comp_cubierta_items" disabled style="width: 100%;">
                        </select>
                    </div>
                    <div>
                        <hr class="my-1">
                    </div>
                </div>

                <!----------------------------------------------------------------------------->

                <div class="divider divider-dark text-start mb-1 comp-color-selected">
                    <div class="divider-text">
                        <h5><?= lang("Presupuestos.posicionPagColor") ?></h5>
                    </div>
                </div>

                <div class="row comp-color-selected">
                    <div class="col-md-12 col-lg-4 px-4">
                        <div class="mb-3">
                            <label for="compPosPaginasColor" class="form-label">
                                <?= lang('Presupuestos.posicionPagColor') ?>
                            </label>
                            <input type="text" id="compPosPaginasColor" name="comp_pos_paginas_color" maxLength="20" class="form-control" value="<?= isset($presupuestoEntity->comp_pos_paginas_color) ? (old('', $presupuestoEntity->comp_pos_paginas_color)) : '' ?>">
                        </div><!--//.mb-3 -->
                    </div><!--//.col -->
                    <div class="col-md-12 col-lg-8 px-4">
                        <div class="mb-3">
                            <label for="compCalPaginasColor" class="form-label">
                                <?= lang('Presupuestos.posicionPagColor') ?>
                            </label>
                            <textarea type="text" id="compCalPaginasColor" name="comp_cal_paginas_color" maxLength="500" class="form-control" rows="1" readonly style="background: #E8E8E8;"></textarea>
                        </div><!--//.mb-3 -->
                    </div><!--//.col -->

                    <div class="col-md-12 col-lg-12 px-4">
                        <p class="text-muted" style="font-size: 0.9em;"><?= lang('Presupuestos.colorPageInstructions') ?></p>
                    </div>
                </div><!--//.row -->

                <!----------------------------------------------------------------------------->

                <div class="accordion mt-3" id="accordionCompInteriorPlana">
                    <div class="card accordion-item active">
                        <h2 class="accordion-header" id="headingOne">
                            <button id="accordion-button-int-plana" type="button" class="accordion-button" data-bs-toggle="collapse" data-bs-target="#accordionCompInteriorPlanaTip" aria-expanded="false" aria-controls="accordionCompInteriorPlanaTip">
                                <h6 id="title_int_plana"><?= lang("Presupuestos.compInteriorPlana") ?></h6>
                            </button>
                        </h2>

                        <div id="accordionCompInteriorPlanaTip" class="accordion-collapse collapse" data-bs-parent="#accordionCompInteriorPlana">
                            <div class="accordion-body">

                                <table id="tableCompIntPlana" class="comparator-table table dt-responsive dataTable" style="width: 100%;">
                                    <thead>
                                        <tr>
                                            <th style="padding-right: 0.75em;"><?= lang('Presupuestos.tipo') ?></th>
                                            <th style="padding-right: 0.75em;"><?= lang('Presupuestos.paginas') ?></th>
                                            <th style="padding-right: 0.75em;"><?= lang('Presupuestos.papel') ?></th>
                                            <th style="padding-right: 0.75em;"><?= lang('Presupuestos.gramaje') ?></th>
                                            <th style="padding-right: 0.75em;"><?= lang('Presupuestos.marca') ?></th>
                                            <th style="padding-right: 0.75em;"><?= lang('Presupuestos.maquina') ?></th>
                                            <th style="padding-right: 0.75em;"><?= lang('Presupuestos.numeroPliegos') ?></th>
                                            <th style="padding-right: 0.75em; max-width:80px"><?= lang('Presupuestos.pliegosPedido') ?></th>
                                            <th style="padding-right: 0.75em; max-width:80px"><?= lang('Presupuestos.precioPliego') ?></th>
                                            <th style="padding-right: 0.75em;"><?= lang('Presupuestos.libro') ?></th>
                                            <th style="padding-right: 0.75em; max-width:80px"><?= lang('Presupuestos.totalPapelPedido') ?></th>
                                            <th style="padding-right: 0.75em;"><?= lang('Presupuestos.lomo') ?></th>
                                            <th style="padding-right: 0.75em;"><?= lang('Presupuestos.peso') ?></th>
                                            <th style="padding-right: 0.75em; max-width:80px"><?= lang('Presupuestos.horas') ?></th>
                                            <th style="padding-right: 0.75em; max-width:80px"><?= lang('Presupuestos.precioImpresion') ?></th>
                                            <th style="padding-right: 0.75em;"><?= lang('Presupuestos.total') ?></th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                    </tbody>
                                    <tfoot>
                                        <tr>
                                            <td class="dt-result dt-result-text" colspan="14"><?= lang('Presupuestos.total') ?> <?= lang("Presupuestos.compInteriorPlana") ?>:</td>
                                            <td id="total_comp_plana" class="dt-result dt-result-value" colspan="2"> 0.00 </td>
                                        </tr>
                                    </tfoot>
                                </table>

                                <div >
                                    <button type="button" name="insertarPlanaBtn"
                                            id="insertarPlanaBtn"
                                            class="btn btn-primary float-end me-sm-3 me-1 mb-3 insertarLinea d-none">
                                            <?= lang('Presupuestos.insertarLinea').' '.strtoupper(lang('Presupuestos.plana')) ?>
                                    </button>
                                    
                                </div>

                            </div>
                        </div>
                    </div>
                </div>


                <div class="accordion mt-3" id="accordionCompInteriorRotativa">
                    <div class="card accordion-item active">
                        <h2 class="accordion-header" id="headingTwo">
                            <button id="accordion-button-int-rotativa" type="button" class="accordion-button" data-bs-toggle="collapse" data-bs-target="#accordionCompInteriorRotativaTip" aria-expanded="false" aria-controls="accordionCompInteriorRotativaTip">
                                <h6 id="title_int_rot"><?= lang("Presupuestos.compInteriorRotativa") ?></h6>
                            </button>
                        </h2>

                        <div id="accordionCompInteriorRotativaTip" class="accordion-collapse collapse" data-bs-parent="#accordionCompInteriorRotativa">
                            <div class="accordion-body">


                                <table id="tableCompIntRotativa" class="comparator-table table dt-responsive dataTable" style="width: 100%;">
                                    <thead>
                                        <tr>
                                            <th style="padding-right: 0.75em;"><?= lang('Presupuestos.tipo') ?></th>
                                            <th style="padding-right: 0.75em;"><?= lang('Presupuestos.paginas') ?></th>
                                            <th style="padding-right: 0.75em;"><?= lang('Presupuestos.papel') ?></th>
                                            <th style="padding-right: 0.75em;"><?= lang('Presupuestos.gramaje') ?></th>
                                            <th style="padding-right: 0.75em;"><?= lang('Presupuestos.marca') ?></th>
                                            <th style="padding-right: 0.75em;"><?= lang('Presupuestos.aFavorFibra') ?></th>
                                            <th style="padding-right: 0.75em;"><?= lang('Presupuestos.maquina') ?></th>
                                            <th style="padding-right: 0.75em;"><?= lang('Presupuestos.numeroPliegos') ?></th>
                                            <th style="padding-right: 0.75em;"><?= lang('Presupuestos.pliegosPedido') ?></th>
                                            <th style="padding-right: 0.75em;"><?= lang('Presupuestos.precioPliego') ?></th>
                                            <th style="padding-right: 0.75em;"><?= lang('Presupuestos.libro') ?></th>
                                            <th style="padding-right: 0.75em;"><?= lang('Presupuestos.totalPapelPedido') ?></th>
                                            <th style="padding-right: 0.75em;"><?= lang('Presupuestos.lomo') ?></th>
                                            <th style="padding-right: 0.75em;"><?= lang('Presupuestos.peso') ?></th>
                                            <th style="padding-right: 0.75em;"><?= lang('Presupuestos.horas') ?></th>
                                            <th style="padding-right: 0.75em;"><?= lang('Presupuestos.precioImpresion') ?></th>
                                            <th style="padding-right: 0.75em;"><?= lang('Presupuestos.precioPagNegro') ?></th>
                                            <th style="padding-right: 0.75em;"><?= lang('Presupuestos.precioPagColor') ?></th>
                                            <th style="padding-right: 0.75em;"><?= lang('Presupuestos.totalTinta') ?></th>
                                            <th style="padding-right: 0.75em;"><?= lang('Presupuestos.totalCorte') ?></th>
                                            <th style="padding-right: 0.75em;"><?= lang('Presupuestos.total') ?></th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                    </tbody>
                                    <tfoot>
                                        <tr>
                                            <td id="errorComRot" class="dt-result dt-result-text" colspan="15"></td>
                                            <td class="dt-result dt-result-text" colspan="4"><?= lang('Presupuestos.total') ?> <?= lang("Presupuestos.compInteriorRotativa") ?>:</td>
                                            <td id="total_comp_rot" class="dt-result dt-result-value" colspan="2">0.00</td>
                                        </tr>
                                    </tfoot>
                                </table>

                                <div >
                                    <button type="button" name="insertarRotativaBtn"
                                                id="insertarRotativaBtn"
                                                class="btn btn-primary float-end me-sm-3 me-1 mb-3 insertarLinea d-none">
                                                <?= lang('Presupuestos.insertarLinea').' '.strtoupper(lang('Presupuestos.rotativa')) ?>
                                    </button>
                                </div>

                            </div>
                        </div>
                    </div>
                </div>

                <div class="accordion mt-3" id="accordionCompCubiertaSobrecubierta">
                    <div class="card accordion-item active">
                        <h2 class="accordion-header" id="headingThree">
                            <button id="accordion-button-cubierta" type="button" class="accordion-button" data-bs-toggle="collapse" data-bs-target="#accordionCompCubiertaSobrecubiertaTip" aria-expanded="false" aria-controls="accordionCompCubiertaSobrecubiertaTip">
                                <h6 id="title_cubierta"><?= lang("Presupuestos.cubierta") ?></h6>
                            </button>
                        </h2>

                        <div id="accordionCompCubiertaSobrecubiertaTip" class="accordion-collapse collapse" data-bs-parent="#accordionCompCubiertaSobrecubierta">
                            <div class="accordion-body">

                                <table id="tableCompCubierta" class="comparator-table table dt-responsive dataTable" style="width: 100%;">
                                    <thead>
                                        <tr>
                                            <th style="padding-right: 0.75em;"><?= lang('Presupuestos.tipo') ?></th>
                                            <th style="padding-right: 0.75em;"><?= lang('Presupuestos.paginas') ?></th>
                                            <th style="padding-right: 0.75em;"><?= lang('Presupuestos.papel') ?></th>
                                            <th style="padding-right: 0.75em;"><?= lang('Presupuestos.gramaje') ?></th>
                                            <th style="padding-right: 0.75em;"><?= lang('Presupuestos.marca') ?></th>
                                            <th style="padding-right: 0.75em;"><?= lang('Presupuestos.maquina') ?></th>
                                            <th style="padding-right: 0.75em;"><?= lang('Presupuestos.numeroPliegos') ?></th>
                                            <th style="padding-right: 0.75em; max-width:80px"><?= lang('Presupuestos.pliegosPedido') ?></th>
                                            <th style="padding-right: 0.75em; max-width:80px"><?= lang('Presupuestos.precioPliego') ?></th>
                                            <th style="padding-right: 0.75em;"><?= lang('Presupuestos.libro') ?></th>
                                            <th style="padding-right: 0.75em; max-width:80px"><?= lang('Presupuestos.totalPapelPedido') ?></th>
                                            <th style="padding-right: 0.75em;"><?= lang('Presupuestos.lomo') ?></th>
                                            <th style="padding-right: 0.75em;"><?= lang('Presupuestos.peso') ?></th>
                                            <th style="padding-right: 0.75em; max-width:80px"><?= lang('Presupuestos.horas') ?></th>
                                            <th style="padding-right: 0.75em; max-width:80px"><?= lang('Presupuestos.precioImpresion') ?></th>
                                            <th style="padding-right: 0.75em;"><?= lang('Presupuestos.total') ?></th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                    </tbody>
                                    <tfoot>
                                        <tr>
                                            <td class="dt-result dt-result-text" colspan="14"><?= lang('Presupuestos.total') ?> <?= lang("Presupuestos.compInteriorPlana") ?>:</td>
                                            <td id="total_comp_cubierta" class="dt-result dt-result-value" colspan="2"> 0.00 </td>
                                        </tr>
                                    </tfoot>
                                </table>

                                <div>
                                <button type="button" name="insertarCubiertaBtn"
                                                id="insertarCubiertaBtn"
                                                class="btn btn-primary float-end me-sm-3 me-1 mb-3 insertarLinea d-none">
                                                <?= lang('Presupuestos.insertarLinea').' '.strtoupper(lang('Presupuestos.cubierta')) ?>
                                    </button>
                                </div>

                            </div>
                        </div>
                    </div>
                </div>



            </div> <!-- //.accordion-body -->
        </div> <!-- //.accordion-collapse -->
    </div> <!-- //.accordion-item -->
</div> <!-- //.accordion -->


<!------------------------------------------->
<!-- Código JS comportamiento general pag. -->
<!------------------------------------------->
<?= $this->section("additionalInlineJs") ?>

    autosize($('#compCalPaginasColor'));
    
    function init_comparador() {
        $('#tipoImpresion').select2({
            allowClear: false,
        });

        $('#compPapelNegro').select2({
            allowClear: false,
        });

        $('#compGramajeNegro').select2({
            
            allowClear: false,
            minimumResultsForSearch: Infinity,
            ajax: {
                url: '<?= route_to("menuItemsOfCosidotapablanda") ?>',
                type: 'post',
                dataType: 'json',

                data: function (params) {
                    return {
                        tipo: 'gramaje',
                        uso:   'bn',
                        datos: $('#compPapelNegro').select2('data')[0].text.trim() ,
                        <?= csrf_token() ?? "token" ?> : <?= csrf_token() ?>v
                    };
                },
                delay: 60,
                processResults: function (response) {
                    yeniden(response.<?= csrf_token() ?>);
                    return {
                        results: response.menu
                    };
                },          
                cache: true
            }
        });

        $('#compPapelNegrohq').select2({
            allowClear: false,
        });

        $('#compGramajeNegrohq').select2({
            allowClear: false,
            minimumResultsForSearch: Infinity,
            ajax: {
                url: '<?= route_to("menuItemsOfCosidotapablanda") ?>',
                type: 'post',
                dataType: 'json',

                data: function (params) {
                    return {
                        tipo: 'gramaje',
                        uso:   'bnhq',
                        datos: $('#compPapelNegrohq').select2('data')[0].text.trim() ,
                        <?= csrf_token() ?? "token" ?> : <?= csrf_token() ?>v
                    };
                },
                delay: 60,
                processResults: function (response) {
                    yeniden(response.<?= csrf_token() ?>);
                    return {
                        results: response.menu
                    };
                },          
                cache: true
            }
    
        });

        $('#compPapelColor').select2({
            allowClear: false,
        });

        $('#compPapelColorhq').select2({
            allowClear: false,
        });

        $('#compGramajeColor').select2({
            allowClear: false,
            minimumResultsForSearch: Infinity,
            ajax: {
                url: '<?= route_to("menuItemsOfCosidotapablanda") ?>',
                type: 'post',
                dataType: 'json',

                data: function (params) {
                    return {
                        tipo: 'gramaje',
                        uso:   'color',
                        datos: $('#compPapelColor').select2('data')[0].text.trim() ,
                        <?= csrf_token() ?? "token" ?> : <?= csrf_token() ?>v
                    };
                },
                delay: 60,
                processResults: function (response) {
                    yeniden(response.<?= csrf_token() ?>);
                    return {
                        results: response.menu
                    };
                },          
                cache: true
            }
        });

        $('#compGramajeColorhq').select2({
            allowClear: false,
            minimumResultsForSearch: Infinity,
            ajax: {
                url: '<?= route_to("menuItemsOfCosidotapablanda") ?>',
                type: 'post',
                dataType: 'json',

                data: function (params) {
                    return {
                        tipo: 'gramaje',
                        uso:   'colorhq',
                        datos: $('#compPapelColorhq').select2('data')[0].text.trim() ,
                        <?= csrf_token() ?? "token" ?> : <?= csrf_token() ?>v
                    };
                },
                delay: 60,
                processResults: function (response) {
                    yeniden(response.<?= csrf_token() ?>);
                    return {
                        results: response.menu
                    };
                },          
                cache: true
            }
        });

        $('#compPapelCubierta').select2({
            allowClear: false,
        });

        $('#compGramajeCubierta').select2({
            allowClear: false,
        });

        $('#encuadernacion').select2({
            allowClear: false,
        });

        $('#compCarasCubierta').select2({
            allowClear: false,
            minimumResultsForSearch: Infinity,
        });

        updatePapelesComparador();
        const paginasColor = document.getElementById('compCalPaginasColor');
        if (paginasColor.value.length > 0) {
            computarPaginasColor(paginasColor.value);
        }

        computarPaginasColor($('#compPosPaginasColor').val());
        
    }

    function init_lineas_comparador(){
        var comp_data = <?php echo json_encode($comp_data); ?>

        try{
            $("#compPapelNegro").val(parseInt(comp_data.bn.papel_id)).trigger('change');
            
            try{
                var newState = new Option(comp_data.bn.gramaje, comp_data.bn.gramaje, true, true);
                // Append it to the select
                $("#compGramajeNegro").append(newState).trigger('change');
                $('#compGramajeNegro').prop('disabled', false);
            }catch(e){}
        }catch(e){}

        try{
            $("#compPapelNegrohq").val(parseInt(comp_data.bnhq.papel_id)).trigger('change');

            try{
                var newState = new Option(comp_data.bnhq.gramaje, comp_data.bnhq.gramaje, true, true);
                // Append it to the select
                $("#compGramajeNegrohq").append(newState).trigger('change');
                $('#compGramajeNegrohq').prop('disabled', false);
            }catch(e){}
        }catch(e){}

        try{
            $("#compPapelColor").val(parseInt(comp_data.color.papel_id)).trigger('change');

            try{
                var newState = new Option(comp_data.color.gramaje, comp_data.color.gramaje, true, true);
                // Append it to the select
                $("#compGramajeColor").append(newState).trigger('change');
                $('#compGramajeColor').prop('disabled', false);
            }catch(e){}
        }catch(e){}

        try{
            $("#compPapelColorhq").val(parseInt(comp_data.colorhq.papel_id)).trigger('change');

            try{
                var newState = new Option(comp_data.colorhq.gramaje, comp_data.colorhq.gramaje, true, true);
                // Append it to the select
                $("#compGramajeColorhq").append(newState).trigger('change');
                $('#compGramajeColorhq').prop('disabled', false);
            }catch(e){}
        }catch(e){}

        try{
            $("#compCarasCubierta").val(parseInt(comp_data.cubierta.paginas)).trigger('select2:select');
            try{
                $("#compPapelCubierta").val(parseInt(comp_data.cubierta.papel_id)).trigger('select2:select');

                try{
                    var newState = new Option(comp_data.cubierta.gramaje, comp_data.cubierta.gramaje, true, true);
                    // Append it to the select
                    $("#compGramajeCubierta").append(newState).trigger('change');
                    $('#compGramajeCubierta').prop('disabled', false);
                }catch(e){}
            }catch(e){}
        }catch(e){}

    }

    var tableCompIntPlana = new DataTable('#tableCompIntPlana',{
        scrollX: true,
        searching: false,
        paging: false,
        info: false,
        ordering: false,
        responsive: true,
        select: false,
        language: {
            url: "//cdn.datatables.net/plug-ins/1.13.4/i18n/<?= config('Basics')->i18n ?>.json"
        },
        columns: [
            { 'data': 'tipo',  
            'render': function ( data, type, row, meta ) {
                if(data=='bn')
                    return '<?= lang('Presupuestos.bn') ?>';
                else if(data=='bnhq')
                    return '<?= lang('Presupuestos.bnhq') ?>';
                else if(data=='color')
                    return '<?= lang('Presupuestos.color') ?>';
                else if(data=='colorhq')
                    return '<?= lang('Presupuestos.colorhq') ?>';
                }
            },
            { 'data': 'paginas' },
            { 'data': 'papel' },
            { 'data': 'gramaje' },
            { 'data': 'marca' },
            { 'data': 'maquina' },
            { 'data': 'numeroPliegos' },
            { 'data': 'pliegosPedido' },
            { 'data': 'precioPliego' },
            { 'data': 'libro' },
            { 'data': 'totalPapelPedido' },
            { 'data': 'lomo' },
            { 'data': 'peso' },
            { 'data': 'horasMaquina' },
            { 'data': 'precioImpresion' },
            { 'data': 'total' },
            { 'data': 'maquinaId'},
            { 'data': 'maquinaVelocidad'},
            { 'data': 'tiempoMaquina'},
            { 'data': 'papelGenericoId'},
            { 'data': 'papelImpresionId'},
            { 'data': 'tarifa_impresion_id'}
        ],
        columnDefs: [
            {
                target: [16,17,18,19,20,21],
                visible: false,
                searchable: false
            },
        ]
    });


    var tableCompIntRotativa = new DataTable('#tableCompIntRotativa',{
        scrollX: true,
        searching: false,
        paging: false,
        info: false,
        ordering: false,
        responsive: true,
        select: false,
        language: {
            url: "//cdn.datatables.net/plug-ins/1.13.4/i18n/<?= config('Basics')->i18n ?>.json"
        },
        columns: [
            {   'data': 'tipo',  
                'render': function ( data, type, row, meta ) {
                if(data=='rotativa')
                    return '<?= lang('Presupuestos.rotativa') ?>';
                }
            },
            { 'data': 'paginas' },
            { 'data': 'papel' },
            { 'data': 'gramaje' },
            { 'data': 'marca' },
            { 'data': 'aFavorFibra',
                'render': function(data, type, row, meta){
                if(data=='si')
                    return '<?= lang('Presupuestos.si') ?>';
                else if(data=='no')
                    return '<?= lang('Presupuestos.no') ?>';
                }
            },
            { 'data': 'maquina' },
            { 'data': 'numeroPliegos' },
            { 'data': 'pliegosPedido' },
            { 'data': 'precioPliego' },
            { 'data': 'libro' },
            { 'data': 'totalPapelPedido' },
            { 'data': 'lomo' },
            { 'data': 'peso' },
            { 'data': 'horasMaquina' },
            { 'data': 'precioImpresion' },
            { 'data': 'precioPagNegro' },
            { 'data': 'precioPagColor' },
            { 'data': 'totalTinta' },
            { 'data': 'totalCorte' },
            { 'data': 'total' },
            { 'data': 'maquinaId'},
            { 'data': 'maquinaVelocidad'},
            { 'data': 'tiempoMaquina'},
            { 'data': 'papelGenericoId'},
            { 'data': 'papelImpresionId'},
            { 'data': 'paginasColor'},
            { 'data': 'tarifa_impresion_id'}
        ],
        columnDefs: [
            {
                target: [21,22,23,24,25,26,27],
                visible: false,
                searchable: false
            },
        ]
    });

    var tableCompCubierta = new DataTable('#tableCompCubierta',{
        scrollX: true,
        searching: false,
        paging: false,
        info: false,
        ordering: false,
        responsive: true,
        select: false,
        language: {
            url: "//cdn.datatables.net/plug-ins/1.13.4/i18n/<?= config('Basics')->i18n ?>.json"
        },
        columns: [
            { 'data': 'tipo',  
            'render': function ( data, type, row, meta ) {
                if(data=='cubierta')
                    return '<?= lang('Presupuestos.cubierta') ?>';
                else if(data=='sobrecubierta')
                    return '<?= lang('Presupuestos.sobrecubierta') ?>';
                }
            },
            { 'data': 'paginas' },
            { 'data': 'papel' },
            { 'data': 'gramaje' },
            { 'data': 'marca' },
            { 'data': 'maquina' },
            { 'data': 'numeroPliegos' },
            { 'data': 'pliegosPedido' },
            { 'data': 'precioPliego' },
            { 'data': 'libro' },
            { 'data': 'totalPapelPedido' },
            { 'data': 'lomo' },
            { 'data': 'peso' },
            { 'data': 'horasMaquina' },
            { 'data': 'precioImpresion' },
            { 'data': 'total' },
            { 'data': 'maquinaId'},
            { 'data': 'maquinaVelocidad'},
            { 'data': 'tiempoMaquina'},
            { 'data': 'papelGenericoId'},
            { 'data': 'papelImpresionId'},
            { 'data': 'tarifa_impresion_id'}
        ],
        columnDefs: [
            {
                target: [16,17,18,19,20,21],
                visible: false,
                searchable: false
            },
        ]
    });



    async function getLineasIntPlana(is_color, is_hq, actualizarLinea){

        const dimension = getDimensionLibro();

        let datos = {
            type: 'interior',
            color: is_color?1:0,
            hq: is_hq?1:0,
            paginas: parseInt($(''+ elementos.paginas).val()),
            tirada: parseInt($('#tirada').val()),
            merma: parseInt($('#merma').val()),
            ancho: dimension.ancho,
            alto: dimension.alto,
            papel_generico_id: $(''+ elementos.papel).select2('data')[0].id,
            papel_generico: $(''+ elementos.papel).select2('data')[0].text.trim(),
            gramaje: $(''+ elementos.gramaje).select2('data')[0].text.trim() ,
            cliente_id: $('#clienteId').find(":selected").val(),
            <?= csrf_token() ?? "token" ?> : <?= csrf_token() ?>v
        };

        $.ajax({
            type: "POST",
            url: "/cosidotapablanda/datatable",
            data: datos,
            success: function (data) {
                
                clearIntLineas(is_color);
                
                if(data.lineas.length >0){
                    
                    fillIntPlana(data, is_color, is_hq);                    
                    selectIntLineas();
                    $('#title_int_plana').html('<?= lang("Presupuestos.compInteriorPlana") ?>' + ' (' + tableCompIntPlana.rows().count() + ')');
                    $('#insertarPlanaBtn').removeClass('d-none')
                    if(actualizarLinea){
                        var rows = $("#tableCompIntPlana").DataTable().rows( '.selected' ).data().toArray();
                        for(row of rows){
                            
                            if(row['tipo'] =='bn' && !is_color && !is_hq){
                                if($('#lp_bn').css('display')!='none')
                                    fill_lp_bn(row, true);
                            }
                            else if(row['tipo'] =='bnhq' && !is_color && is_hq){
                                if($('#lp_bnhq').css('display')!='none')
                                    fill_lp_bnhq(row, true);
                            }
                            else if(row['tipo'] =='color' && is_color && !is_hq){
                                if($('#lp_color').css('display')!='none')
                                    fill_lp_color(row, true);
                            }
                            else if(row['tipo'] =='colorhq' && is_color && is_hq){
                                if($('#lp_colorhq').css('display')!='none')
                                    fill_lp_colorhq(row, true); 
                            }
                        }
                    }
                }
                else{
                    $('#title_int_plana').html('<?= lang("Presupuestos.compInteriorPlana") ?>');
                    $('#insertarPlanaBtn').addClass('d-none')
                    $('#total_comp_plana').html('0.00');
                }
                yeniden(data.<?= csrf_token() ?>);
                return true;
            },
            error: function(e){
                return false;
            }
        })
        return false;
    }

    async function getLineasIntRot(is_hq, actualizarLinea=false){

        const dimension = getDimensionLibro();

        // Rotativa solo negro o color (no hq)
        if ( is_hq==false){

            if(checkInputsForRotativa()){
    
                let datos = {
                    type: 'interior_rot',
                    paginas: parseInt($('#paginas').val()),
                    paginas_negro: parseInt($('#compPaginasNegro').val()),
                    paginas_color: parseInt($('#compPaginasColor').val()),
                    tirada: parseInt($('#tirada').val()),
                    merma: parseInt($('#merma').val()),
                    ancho: dimension.ancho,
                    alto: dimension.alto,
                    // el papel y el gramaje se coge del negro (siempre estará)
                    papel_generico_id: $('#compPapelNegro').select2('data')[0].id,
                    papel_generico: $('#compPapelNegro').select2('data')[0].text.trim(),
                    gramaje: $('#compGramajeNegro').select2('data')[0].text.trim() ,
                    cliente_id: $('#clienteId').find(":selected").val(),
                    <?= csrf_token() ?? "token" ?> : <?= csrf_token() ?>v
                };

                $.ajax({
                    type: "POST",
                    url: "/cosidotapablanda/datatable",
                    data: datos,
                    success: function (data) {
                        
                        clearIntRot();
                        
                        if(data.lineas.length >0){

                            fillIntRot(data);                    
                            selectIntRotLineas();
                            $('#title_int_rot').html('<?= lang("Presupuestos.compInteriorRotativa") ?>' + ' (' + tableCompIntRotativa.rows().count() + ')');
                            $('#insertarRotativaBtn').removeClass('d-none')
                            if(actualizarLinea){
                                var rows = $("#tableCompIntRotativa").DataTable().rows( '.selected' ).data().toArray();
                                for(row of rows){
                                    if(row['paginasColor'] ==0){
                                        if($('#lp_rot_bn').css('display')!='none')
                                            fill_lp_rot_bn(row, true);
                                    }
                                    else if(row['paginasColor'] >0){
                                        if($('#lp_rot_color').css('display')!='none')
                                            fill_lp_rot_color(row, true);
                                    }
                                }
                            }
                        }
                        else{
                            $('#title_int_rot').html('<?= lang("Presupuestos.compInteriorRotativa") ?>');
                            $('#insertarRotativaBtn').addClass('d-none')
                            $('#total_comp_rot').html('0.00')
                        
                        }
                        yeniden(data.<?= csrf_token() ?>);
                        return true;
                    },
                    error: function(e){
                        return false;
                    }
                })
            }
        }
        return false;
    }
    
    $('.comp_cubierta_items').on('change', function (){

        checkComparadorCubierta()
    });


    function checkComparadorCubierta(actualizarLinea = false){

        if ($('#compCarasCubierta').select2('data').length > 0 &&
            $('#compPapelCubierta').select2('data').length > 0 &&
            $('#compGramajeCubierta').select2('data').length > 0 ){

            const dimension = getDimensionLibro();
                
            let datos = {
                type: 'cubierta',
                paginas: parseInt($('#compCarasCubierta').select2('data')[0].id),
                tirada: parseInt($('#tirada').val()),
                merma: parseInt($('#mermacubierta').val()),
                color: 1,
                ancho: dimension.ancho,
                alto: dimension.alto,
                solapas: $('#solapas').is(':checked')?1:0,
                solapas_ancho: parseInt($('#solapas_ancho').val()),
                papel_generico_id: $('#compPapelCubierta').select2('data')[0].id,
                papel_generico: $('#compPapelCubierta').select2('data')[0].text.trim(),
                gramaje: $('#compGramajeCubierta').select2('data')[0].text.trim() ,
                cliente_id: $('#clienteId').find(":selected").val(),
                <?= csrf_token() ?? "token" ?> : <?= csrf_token() ?>v
            };

            $.ajax({
                type: "POST",
                url: "/cosidotapablanda/datatable",
                data: datos,
                success: function (data) {
                    
                    clearCubierta();
                    
                    if(data.lineas.length >0){
                        
                        fillCubierta(data);                    
                        selectCubiertaLineas();
                        $('#title_cubierta').html('<?= lang("Presupuestos.cubierta") ?>' + ' (' + tableCompCubierta.rows().count() + ')');
                        $('#insertarCubiertaBtn').removeClass('d-none')
                        if(actualizarLinea){
                            var rows = $("#tableCompCubierta").DataTable().rows( '.selected' ).data().toArray();
                            for(row of rows){
                                fill_lp_cubierta(row, true);
                            }
                        }
                    }
                    else{
                        $('#title_cubierta').html('<?= lang("Presupuestos.cubierta") ?>');
                        $('#insertarCubiertaBtn').addClass('d-none')
                        $('#total_comp_cubierta').html('0.00')
            
                    }
                    yeniden(data.<?= csrf_token() ?>);
                    return true;
                },
                error: function(e){
                    return false;
                }
            })
        }

        else{
            clearCubierta();
        }
    }

    $('.comp_negro_items').on('change', function (e) {

        checkComparadorInt(false,false);
    });

    $('.comp_negrohq_items').on('change', function (e) {

        checkComparadorInt(false, true);
    });

    $('.comp_color_items').on('change', function (e) {

        checkComparadorInt(true, false);
    });

    $('.comp_colorhq_items').on('change', function (e) {
        checkComparadorInt(true, true);
    });



    $('#tipoImpresion').on("change.select2", function () {
        updatePapelesComparador();
        $('#title_int_rot').html('<?= lang("Presupuestos.compInteriorRotativa") ?>');
        $('#title_int_plana').html('<?= lang("Presupuestos.compInteriorPlana") ?>');
        if (($('#tipoImpresion').select2('data')[0].id == 'negro' ||
            $('#tipoImpresion').select2('data')[0].id == 'color')){

            $('#tableCompIntRotativa').DataTable().clear().draw();
            $('#total_comp_rot').html("0.00");

            
            $('#compPaginasColor').val('0')
            $('#compPaginasColorhq').val('0')
            $('#compPaginasNegrohq').val('0');
            $('#compPaginasNegro').val($('#paginas').val())
            

            if( $('#tableCompIntPlana').DataTable().rows().count() > 0 &&
                $('#tableCompIntPlana').DataTable().cell(0, 0).data().includes('hq')) {

                $('#tableCompIntPlana').DataTable().clear().draw();
                $('#total_comp_plana').html("0.00");
            }

        }
        else if (($('#tipoImpresion').select2('data')[0].id == 'negrohq' ||
            $('#tipoImpresion').select2('data')[0].id == 'colorhq')){

            $('#tableCompIntRotativa').DataTable().clear().draw();
            $('#total_comp_rot').html("0.00");

            $('#compPaginasColorhq').val('0')
            $('#compPaginasColor').val('0')
            $('#compPaginasNegro').val('0')
            $('#compPaginasNegrohq').val($('#paginas').val())
            
            if($('#tableCompIntPlana').DataTable().rows().count() > 0 &&
                !$('#tableCompIntPlana').DataTable().cell(0, 0).data().includes('hq')) {

                $('#tableCompIntPlana').DataTable().clear().draw();
                $('#total_comp_plana').html("0.00");
            }
        }
    });

    $('#tipoImpresion').on("select2:close", function () {

        $('#paginas').change()
    })


    function checkComparadorInt(is_color, is_hq, actualizarLinea=false) {

        try{
            
            clearIntLineas(is_color);
            clearIntRot();
            $('#title_int_rot').html('<?= lang("Presupuestos.compInteriorRotativa") ?>');
            $('#title_int_plana').html('<?= lang("Presupuestos.compInteriorPlana") ?>');
            
            elementos = getIDsComparador(is_color, is_hq)

            if ($(''+ elementos.papel).select2('data').length > 0 &&
                $(''+ elementos.gramaje).select2('data').length > 0 &&
                parseInt($(''+ elementos.paginas).val()) > 0 &&
                checkDatosPedidoForComp()) {

                    
                getLineasIntPlana(is_color, is_hq, actualizarLinea).then((result) =>{
                    // Para rotativa, si es color el papel y el gramaje tiene que ser igual
                    if(!is_color) 
                    {
                        getLineasIntRot(is_hq, actualizarLinea);
                    }     
                    else 
                    {
                        if(!is_hq){
                            if ($('#compPapelNegro').select2('data')>0 && $('#compPapelColor').select2('data')>0 &&
                            $('#compGramajeNegro').select2('data')>0 && $('#compGramajeColor').select2('data')>0)
                            {
                                if(($('#compPapelNegro').select2('data')[0].id == $('#compPapelColor').select2('data')[0].id &&
                                    $('#compGramajeNegro').select2('data')[0].text.trim() == $('#compGramajeColor').select2('data')[0].text.trim()))
                                {
                                    getLineasIntRot(is_hq, actualizarLinea);
                                }
                                else
                                {
                                    $('#errorComRot').html('<?= lang("Presupuestos.errores.errorRotColor") ?>');
                                }
                            }
                        }
                    }
                });
            }
        }catch(e){
            console.log(e)
        }
    }


    $('#compPapelNegro').on('select2:select', function (e){

        if($('#compPapelNegro').select2('data')[0].id=='0'){
            $('#compGramajeNegro').val('').change();
            $('#compGramajeNegro').prop('disabled', true);
        }

        else{
            $('#insertarPlanaBtn').addClass('d-none')
            $('#insertarRotativaBtn').addClass('d-none')
            $('#total_comp_plana').html('0.00')
            $('#total_comp_rot').html('0.00')
            $('#compGramajeNegro').val('').change();
            $('#compGramajeNegro').empty().trigger("change");
            $('#compGramajeNegro').prop('disabled', false);
            $('#compGramajeNegro').select2({
                allowClear: false,
                minimumResultsForSearch: Infinity,
                ajax: {
                    url: '<?= route_to("menuItemsOfCosidotapablanda") ?>',
                    type: 'post',
                    dataType: 'json',

                    data: function (params) {
                        return {
                            tipo: 'gramaje',
                            uso:   'bn',
                            datos: $('#compPapelNegro').select2('data')[0].text.trim() ,
                            <?= csrf_token() ?? "token" ?> : <?= csrf_token() ?>v
                        };
                    },
                    delay: 60,
                    processResults: function (response) {
                        yeniden(response.<?= csrf_token() ?>);
                        return {
                            results: response.menu
                        };
                    },          
                    cache: true
                }
            });
        }
    });

    $('#compPapelNegrohq').on('select2:select', function (e){

        if($('#compPapelNegrohq').select2('data')[0].id=='0'){
            $('#compGramajeNegrohq').val('').change();
            $('#compGramajeNegrohq').prop('disabled', true);
        }
        else{
            $('#insertarPlanaBtn').addClass('d-none')
            $('#insertarRotativaBtn').addClass('d-none')
            $('#total_comp_plana').html('0.00')
            $('#total_comp_rot').html('0.00')
            $('#compGramajeNegrohq').empty().trigger("change");
            $('#compGramajeNegrohq').prop('disabled', false);
            $('#compGramajeNegrohq').select2({
                allowClear: false,
                minimumResultsForSearch: Infinity,
                ajax: {
                    url: '<?= route_to("menuItemsOfCosidotapablanda") ?>',
                    type: 'post',
                    dataType: 'json',

                    data: function (params) {
                        return {
                            tipo: 'gramaje',
                            uso:   'bnhq',
                            datos: $('#compPapelNegrohq').select2('data')[0].text.trim() ,
                            <?= csrf_token() ?? "token" ?> : <?= csrf_token() ?>v
                        };
                    },
                    delay: 60,
                    processResults: function (response) {
                        yeniden(response.<?= csrf_token() ?>);
                        return {
                            results: response.menu
                        };
                    },          
                    cache: true
                }
            });
        }
    });


    $('#compPapelColor').on('select2:select', function (e){

        if($('#compPapelColor').select2('data')[0].id=='0'){
            $('#compGramajeColor').val('').change();
            $('#compGramajeColor').prop('disabled', true);
        }
        else{
            $('#insertarPlanaBtn').addClass('d-none')
            $('#insertarRotativaBtn').addClass('d-none')
            $('#total_comp_plana').html('0.00')
            $('#total_comp_rot').html('0.00')
            $('#compGramajeColor').empty().trigger("change");
            $('#compGramajeColor').prop('disabled', false);
            $('#compPapelColor').find('option[value="0"]').remove();
            $('#compGramajeColor').select2({
                allowClear: false,
                minimumResultsForSearch: Infinity,
                ajax: {
                    url: '<?= route_to("menuItemsOfCosidotapablanda") ?>',
                    type: 'post',
                    dataType: 'json',

                    data: function (params) {
                        return {
                            tipo: 'gramaje',
                            uso:   'color',
                            datos: $('#compPapelColor').select2('data')[0].text.trim() ,
                            <?= csrf_token() ?? "token" ?> : <?= csrf_token() ?>v
                        };
                    },
                    delay: 60,
                    processResults: function (response) {
                        yeniden(response.<?= csrf_token() ?>);
                        return {
                            results: response.menu
                        };
                    },          
                    cache: true
                }
            });
        }
    });


    $('#compPapelColorhq').on('select2:select', function (e){

        if($('#compPapelColorhq').select2('data')[0].id=='0'){
            $('#compGramajeColorhq').val('').change();
            $('#compGramajeColorhq').prop('disabled', true);
        }
        else{
            $('#insertarPlanaBtn').addClass('d-none')
            $('#insertarRotativaBtn').addClass('d-none')
            $('#total_comp_plana').html('0.00')
            $('#total_comp_rot').html('0.00')
            $('#compGramajeColorhq').empty().trigger("change");
            $('#compGramajeColorhq').prop('disabled', false);
            $('#compPapelColorhq').find('option[value="0"]').remove();
            $('#compGramajeColorhq').select2({
                allowClear: false,
                minimumResultsForSearch: Infinity,
                ajax: {
                    url: '<?= route_to("menuItemsOfCosidotapablanda") ?>',
                    type: 'post',
                    dataType: 'json',

                    data: function (params) {
                        return {
                            tipo: 'gramaje',
                            uso:   'colorhq',
                            datos: $('#compPapelColorhq').select2('data')[0].text.trim() ,
                            <?= csrf_token() ?? "token" ?> : <?= csrf_token() ?>v
                        };
                    },
                    delay: 60,
                    processResults: function (response) {
                        yeniden(response.<?= csrf_token() ?>);
                        return {
                            results: response.menu
                        };
                    },          
                    cache: true
                }
            });
        }
    });

    $('#compPapelCubierta').on('select2:select', function (e){
        if($('#compPapelCubierta').select2('data')[0].id=='0'){
            $('#compGramajeCubierta').val('').change();
            $('#compGramajeCubierta').prop('disabled', true);
        }
        else{
            $('#insertarCubiertaBtn').addClass('d-none')
            $('#total_comp_cubierta').html('0.00')
            $('#compGramajeCubierta').empty().trigger("change");
            $('#compGramajeCubierta').val('').trigger('change');
            $('#compGramajeCubierta').prop('disabled', false);
            $('#compPapelCubierta').find('option[value="0"]').remove();
            $('#compGramajeCubierta').select2({
                allowClear: false,
                minimumResultsForSearch: Infinity,
                ajax: {
                    url: '<?= route_to("menuItemsOfCosidotapablanda") ?>',
                    type: 'post',
                    dataType: 'json',

                    data: function (params) {
                        return {
                            tipo: 'gramaje',
                            uso:   'cubierta',
                            datos: $('#compPapelCubierta').select2('data')[0].text.trim() ,
                            <?= csrf_token() ?? "token" ?> : <?= csrf_token() ?>v
                        };
                    },
                    delay: 60,
                    processResults: function (response) {
                        yeniden(response.<?= csrf_token() ?>);
                        return {
                            results: response.menu
                        };
                    },          
                    cache: true
                }
            });
        }
    });

    
    function checkDatosPedidoForComp() {

        const dimension = getDimensionLibro();

        if (parseInt($('#paginas').val()) <= 0){
            popErrorAlert('<?=lang('Presupuestos.errores.paginas') ?>', 'divAlarmasComparador');
            return false;
        }
        if (parseInt($('#tirada').val()) <= 0){
            popErrorAlert('<?=lang('Presupuestos.errores.tiradas') ?>', 'divAlarmasComparador');
            return false;
        }
        if('ancho' in dimension  && 'alto' in dimension){

            if(dimension.alto < 60 || dimension.ancho < 60 || isNaN(dimension.alto) || isNaN(dimension.ancho) ){
                popErrorAlert('<?=lang('Presupuestos.errores.dimension') ?>', 'divAlarmasComparador');
                return false;    
            }
        }
        else{
            popErrorAlert('<?=lang('Presupuestos.errores.dimension') ?>', 'divAlarmasComparador');
            return false;
        }
        return true;
    }

    init_comparador()
    init_lineas_comparador()

<?= $this->endSection() ?>